Skip to main content

Type Alias: GatewayInferenceResponseContentPartDoneEvent

type GatewayInferenceResponseContentPartDoneEvent = {
[key: string]: unknown;
type: "response.content_part.done";
item_id: string;
output_index: number;
content_index: number;
part: GatewayInferenceOutputContent;
};

Defined in: src/models/ai-gateway-inference.ts:4732

Portkey ResponseContentPartDoneEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseContentPartDoneEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.content_part.done";

Defined in: src/models/ai-gateway-inference.ts:4733


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:4734


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4735


content_index​

content_index: number;

Defined in: src/models/ai-gateway-inference.ts:4736


part​

part: GatewayInferenceOutputContent;

Defined in: src/models/ai-gateway-inference.ts:4737